Bug 169952 - [MAINTAINER] dns/nsd: [SUMMARIZE CHANGES]
Summary: [MAINTAINER] dns/nsd: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jase Thew
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 23:20 UTC by Jaap Akkerhuis
Modified: 2012-07-18 10:24 UTC (History)
1 user (show)

See Also:


Attachments
nsd-3.2.11_1.patch (786 bytes, patch)
2012-07-17 23:20 UTC, Jaap Akkerhuis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Akkerhuis 2012-07-17 23:20:06 UTC
[DESCRIBE CHANGES]

The update to version 3.2.11 of this port got committed today "with
minor changes".

Most changes had to do with the new OPTIONS processing and
thanks for taking care of that. However, I noticed some typos:
	- Handling ip IPv6 SUpport was missing;
	- LARGEFILE was misspelled in the .if empty(...) stanza which
          resulted that it got always disabled.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Jase Thew freebsd_committer 2012-07-17 23:25:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jase

I'll take it.
Comment 2 Jase Thew freebsd_committer 2012-07-17 23:31:57 UTC
Hi Jaap,

IPV6 is a common option and has its description defined by default in
bsd.options.desc.mk - therefore there is no need to define IPV6_DESC in
the port Makefile.

As for the LARGEFILE typo, please accept my apologies. I'll correct this
shortly.

Regards,

Jase.

-- 
Jase Thew
jase@FreeBSD.org
FreeBSD Ports Committer
Comment 3 Jaap Akkerhuis 2012-07-17 23:53:00 UTC
    
    IPV6 is a common option and has its description defined by default in
    bsd.options.desc.mk - therefore there is no need to define IPV6_DESC in
    the port Makefile.

We got quite some flack when we took it out of the original
distribution, that's why it got left in. Although I hate that it
is an option, as long as the original supplier (which just happens
to be us, but that is not the point) supports an option AND the
port did that as well, I tend to keep them in.

If you insist in removing the IPV6 option, it shouldn't be mentioned
at all.  So in that case, we should remove all traces of IPV6 in
the Makefile. As a maintainer I prefer it to leave in for backward
compatibility.
    
    As for the LARGEFILE typo, please accept my apologies. I'll correct this
    shortly.

Ah, no problem. These things happen.

	jaap
Comment 4 Jase Thew freebsd_committer 2012-07-18 00:21:56 UTC
On 17/07/2012 23:53, Jaap Akkerhuis wrote:
>     
>     IPV6 is a common option and has its description defined by default in
>     bsd.options.desc.mk - therefore there is no need to define IPV6_DESC in
>     the port Makefile.
> 
> We got quite some flack when we took it out of the original
> distribution, that's why it got left in. Although I hate that it
> is an option, as long as the original supplier (which just happens
> to be us, but that is not the point) supports an option AND the
> port did that as well, I tend to keep them in.
> 
> If you insist in removing the IPV6 option, it shouldn't be mentioned
> at all.  So in that case, we should remove all traces of IPV6 in
> the Makefile. As a maintainer I prefer it to leave in for backward
> compatibility.
>     

Hi Jaap,

I can assure you that the IPV6 option has not been removed.

If you look at line 52 of the port Makefile, you will see that the IPV6
option is defined in the list of available options. In line 54, it is
defined as a default option (which means that it is enabled by default),
and then lines 77-79 the necessary configuration is performed based on
the value of that IPV6 option.

All that is not present in the port Makefile is the description for the
IPV6 option (i.e. IPV6_DESC). This is because it is defined by default
elsewhere in the ports framework (specifically, in bsd.options.desc.mk
which is included by bsd.port.options.mk) and therefore doesn't need to
be defined explicitly in the port Makefile.

If you execute a make showconfig (or make config) in the port's
directory, you will see that the IPV6 option and its description are
both present.

I hope this clears up the misunderstanding for you.

Regards,

Jase.

-- 
Jase Thew
jase@FreeBSD.org
FreeBSD Ports Committer
Comment 5 dfilter service freebsd_committer 2012-07-18 00:49:34 UTC
Author: jase
Date: Tue Jul 17 23:49:20 2012
New Revision: 301050
URL: http://svn.freebsd.org/changeset/ports/301050

Log:
  - Fix LARGEFILE option typo that resulted in largefile support being
    constantly disabled.
  
  PR:		ports/169952
  Spotted by:	Jaap Akkerhuis <jaap@NLnetLabs.nl> (maintainer)
  Approved by:	flo (mentor)

Modified:
  head/dns/nsd/Makefile

Modified: head/dns/nsd/Makefile
==============================================================================
--- head/dns/nsd/Makefile	Tue Jul 17 22:37:35 2012	(r301049)
+++ head/dns/nsd/Makefile	Tue Jul 17 23:49:20 2012	(r301050)
@@ -7,6 +7,7 @@
 
 PORTNAME=	nsd
 PORTVERSION=	3.2.11
+PORTREVISION=	1
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://www.nlnetlabs.nl/downloads/nsd/	\
 		ftp://ftp.rhnet.is/pub/nsd/
@@ -70,7 +71,7 @@ MAXIPS_DESC=		Raise max-ips from 8 to ${
 CONFIGURE_ARGS+=	--enable-root-server
 .endif
 
-.if empty(PORT_OPTIONS:MLARGFILE)
+.if empty(PORT_OPTIONS:MLARGEFILE)
 CONFIGURE_ARGS+=	--disable-largefile
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jaap Akkerhuis 2012-07-18 07:48:42 UTC
    
    I can assure you that the IPV6 option has not been removed.
    
   ...etc...
    
    All that is not present in the port Makefile is the description for the
    IPV6 option (i.e. IPV6_DESC). This is because it is defined by default
    elsewhere in the ports framework (specifically, in bsd.options.desc.mk
    which is included by bsd.port.options.mk) and therefore doesn't need to
    be defined explicitly in the port Makefile.
    
Ah, I didn't realize that.

    ...etc..
    
    I hope this clears up the misunderstanding for you.
    
It certainly does, thanks!

	jaap
Comment 7 Jase Thew freebsd_committer 2012-07-18 10:24:36 UTC
State Changed
From-To: open->closed

Resolved. Thanks!